program CertMgr;

uses
  SysUtils,
  Forms,
  Windows,
  CertMgrMain in 'CertMgrMain.pas' {frmCertMgrMain},
  YarrowModule in 'YarrowModule.pas' {dmYarrow: TDataModule},
  CertModule in 'CertModule.pas' {dmCert: TDataModule},
  SelectStoreDlg in 'SelectStoreDlg.pas' {frmSelectStoreDlg},
  RevokationDlg in 'RevokationDlg.pas' {dlgRevokation},
  RegistrationDlg in 'RegistrationDlg.pas' {frmRegistration},
  Setup in 'Setup.pas' {fmSetup},
  CertViewDlg in 'CertViewDlg.pas' {frmCertificateViewer},
  CertPathDlg in 'CertPathDlg.pas' {frmCertPath},
  SsCertMgrUtils in '..\..\Source\SsCertMgrUtils.pas';

{$R DelphiXP.res}
{$R *.res}

begin
  Application.Initialize;
  Application.Title := 'StreamSec CertMgr';
  try
    Application.CreateForm(TfrmCertMgrMain, frmCertMgrMain);
    Application.CreateForm(TdmCert, dmCert);
    Application.CreateForm(TdmYarrow, dmYarrow);
    Application.CreateForm(TfrmSelectStoreDlg, frmSelectStoreDlg);
    Application.CreateForm(TdlgRevokation, dlgRevokation);
    Application.CreateForm(TfrmCertificateViewer, frmCertificateViewer);
    Application.CreateForm(TfrmCertPath, frmCertPath);
{$IFNDEF NO_REGISTER}
    Application.CreateForm(TfrmRegistration, frmRegistration);
{$ENDIF  NO_REGISTER}
    Application.Run;
  except
  end;
end.
