object frmKDFDemoMain: TfrmKDFDemoMain
  Left = 192
  Top = 168
  Width = 699
  Height = 521
  Caption = 'Key Derivation Demo'
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  PixelsPerInch = 96
  TextHeight = 13
  object PageControl1: TPageControl
    Left = 0
    Top = 0
    Width = 691
    Height = 494
    ActivePage = TabSheet1
    Align = alClient
    TabOrder = 0
    object TabSheet1: TTabSheet
      Caption = 'Key Resizing'
      object Label1: TLabel
        Left = 8
        Top = 120
        Width = 85
        Height = 13
        Caption = 'Pre Master Secret'
      end
      object Label2: TLabel
        Left = 8
        Top = 264
        Width = 57
        Height = 13
        Caption = 'Derived key'
      end
      object memKeyResizing: TMemo
        Left = 8
        Top = 8
        Width = 665
        Height = 105
        Lines.Strings = (
          
            'One common use of a KDF is to make key material (PreMasterSecret' +
            ') fit the key size of a symmetric bulk encryption algorithm. The' +
            ' '
          
            'PreMasterSecret may have been generated e.g. through a Diffie-He' +
            'llman key exchange.')
        TabOrder = 0
      end
      object MaskEdit1: TMaskEdit
        Left = 8
        Top = 136
        Width = 106
        Height = 21
        EditMask = '!99999\ bits;0;_'
        MaxLength = 10
        TabOrder = 1
        Text = '1024'
      end
      object Button1: TButton
        Left = 128
        Top = 136
        Width = 75
        Height = 25
        Caption = 'Generate'
        TabOrder = 2
        OnClick = Button1Click
      end
      object Memo1: TMemo
        Left = 8
        Top = 168
        Width = 665
        Height = 89
        TabOrder = 3
      end
      object Button2: TButton
        Left = 128
        Top = 280
        Width = 75
        Height = 25
        Caption = 'Derive'
        TabOrder = 4
        OnClick = Button2Click
      end
      object Memo2: TMemo
        Left = 8
        Top = 312
        Width = 665
        Height = 89
        TabOrder = 5
      end
      object MaskEdit2: TMaskEdit
        Left = 8
        Top = 280
        Width = 106
        Height = 21
        EditMask = '!99999\ bits;0;_'
        MaxLength = 10
        TabOrder = 6
        Text = '128'
      end
    end
    object TabSheet2: TTabSheet
      Caption = 'Key Splitting'
      ImageIndex = 1
      object Label3: TLabel
        Left = 8
        Top = 176
        Width = 66
        Height = 13
        Caption = 'Master Secret'
      end
      object Label4: TLabel
        Left = 8
        Top = 320
        Width = 57
        Height = 13
        Caption = 'Derived key'
      end
      object memKeySplitting: TMemo
        Left = 8
        Top = 8
        Width = 661
        Height = 161
        Lines.Strings = (
          
            'A KDF should also be used when faced with the need to generate m' +
            'ore than one key within the same security context. By splitting ' +
            'the key '
          
            'material this way (instead of using several completely independe' +
            'nt keys to begin with) you will eliminate the possibility for '
          'an attacker to manipulate only one of the final keys.'
          ''
          'There are two common cases when this should be done:'
          
            '1. A message should be both encrypted and authenticated. Split t' +
            'he key into one encryption key and one hmac key.'
          
            '2. Two peers are communicating across a network. Use different e' +
            'ncryption keys (*and* hmac keys) in the two directions.'
          ''
          
            'A third case when this *could* be done is when the same master k' +
            'ey is used to provide security for several consequtive messages.' +
            ' (Cf. e.g. '
          
            'SSL/TLS Renegotiation where a random nonce is mixed in with a pr' +
            'eviously negotiated master secret.)')
        TabOrder = 0
      end
      object MaskEdit3: TMaskEdit
        Left = 8
        Top = 192
        Width = 104
        Height = 21
        EditMask = '!99999\ bits;0;_'
        MaxLength = 10
        TabOrder = 1
        Text = '1024'
      end
      object Button3: TButton
        Left = 128
        Top = 192
        Width = 73
        Height = 25
        Caption = 'Generate'
        TabOrder = 2
        OnClick = Button3Click
      end
      object Memo3: TMemo
        Left = 8
        Top = 224
        Width = 663
        Height = 89
        TabOrder = 3
      end
      object MaskEdit4: TMaskEdit
        Left = 8
        Top = 336
        Width = 106
        Height = 21
        EditMask = '!99999\ bits;0;_'
        MaxLength = 10
        TabOrder = 4
        Text = '128'
      end
      object Memo4: TMemo
        Left = 8
        Top = 368
        Width = 665
        Height = 89
        TabOrder = 5
      end
      object Button4: TButton
        Left = 128
        Top = 336
        Width = 75
        Height = 25
        Caption = 'Derive'
        TabOrder = 6
        OnClick = Button4Click
      end
    end
  end
end
