unit BasicTLSClientMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TfrmBasicTLSClient = class(TForm)
    Panel1: TPanel;
    edtURL: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    edtService: TEdit;
    Button1: TButton;
    memLog: TMemo;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    procedure TLSLog(Sender: TObject);
  end;

var
  frmBasicTLSClient: TfrmBasicTLSClient;

implementation

uses
  BasicTLSClientDM;

{$R *.dfm}

procedure TfrmBasicTLSClient.Button1Click(Sender: TObject);
begin
  dmBasicTLSClient.Connect(edtService.Text,edtURL.Text);
end;

procedure TfrmBasicTLSClient.TLSLog(Sender: TObject);
begin
  memLog.Lines.BeginUpdate;
  try
    memLog.Lines.Assign(dmBasicTLSClient.Log);
  finally
    memLog.Lines.EndUpdate;
  end;
end;

end.
