{NOTE: This demo requires unit ScktComp. You must install the package containing
 this unit before running this demo.}
{NOTE: The password for the private key ring used by TLSChatServerDM is 'abc'.}
unit TLSChatServerMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ActnList;

type
  TfrmTLSChatServer = class(TForm)
    Panel1: TPanel;
    btnStart: TButton;
    Label1: TLabel;
    edtPort: TEdit;
    memLog: TMemo;
    ActionList1: TActionList;
    actLog: TAction;
    Button1: TButton;
    btnStop: TButton;
    procedure btnStartClick(Sender: TObject);
    procedure actLogUpdate(Sender: TObject);
    procedure actLogExecute(Sender: TObject);
    procedure btnStopClick(Sender: TObject);
  public
    procedure TLSLog(Sender: TObject);
    procedure TLSRead(Sender: TObject);
  end;

var
  frmTLSChatServer: TfrmTLSChatServer;

implementation   

uses
  SecUtils, PasswordMain, Pkix, Asn1, MpDL, MpIF, MpEC, X509Base, MpX509,
  StreamSecII, TLSChatServerDM;

{$R *.dfm}

procedure TfrmTLSChatServer.TLSLog(Sender: TObject);
begin
  memLog.Lines.BeginUpdate;
  try
    dmTLSChatServer.AppendLog(memLog.Lines);
  finally
    memLog.Lines.EndUpdate;
  end;
end;

procedure TfrmTLSChatServer.TLSRead(Sender: TObject);
begin

end;

procedure TfrmTLSChatServer.btnStartClick(Sender: TObject);
begin
  dmTLSChatServer.Start(edtPort.Text);
  btnStart.Enabled := False;
  btnStop.Enabled := True;
end;

procedure TfrmTLSChatServer.actLogUpdate(Sender: TObject);
begin
  actLog.Enabled := dmTLSChatServer.HasPendLogEntries;
end;

procedure TfrmTLSChatServer.actLogExecute(Sender: TObject);
begin
  TLSLog(Sender);
end;

procedure TfrmTLSChatServer.btnStopClick(Sender: TObject);
begin
  dmTLSChatServer.Stop;               
  btnStart.Enabled := True;
  btnStop.Enabled := False;
end;

end.
