unit DSS2TestMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    btnTest: TButton;
    procedure btnTestClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  SecUtils, MPArith, MPDL, ASN1;

{$R *.DFM}

procedure TForm1.btnTestClick(Sender: TObject);
var
  PrivKey: TDLPrivateKey;
  Msg, Sign: string;
begin
  Memo1.Clear;

  // Example from

  FillChar(PrivKey,SizeOf(PrivKey),0);
  try
    PrivKey.Params.P := IntegersToMPInt([
      $8df2a494,$492276aa,$3d25759b,$b06869cb,$eac0d83a,$fb8d0cf7,
      $cbb8324f,$0d7882e5,$d0762fc5,$b7210eaf,$c2e9adac,$32ab7aac,
      $49693dfb,$f83724c2,$ec0736ee,$31c80291]);
    PrivKey.Params.Q := IntegersToMPInt([
      $c773218c,$737ec8ee,$993b4f2d,$ed30f48e,$dace915f]);
    PrivKey.Params.G := IntegersToMPInt([
      $626d0278,$39ea0a13,$413163a5,$5b4cb500,$299d5522,$956cefcb,
      $3bff10f3,$99ce2c2e,$71cb9de5,$fa24babf,$58e5b795,$21925c9c,
      $c42e9f6f,$464b088c,$c572af53,$e6d78802]);
    PrivKey.X := IntegersToMPInt([
      $2070b322,$3dba372f,$de1c0ffc,$7b2e3b49,$8b260614]);
    Msg := 'abc';
    Sign := StringOfChar(#0,40);
    DLSSASignatureGeneration(PrivKey,Pointer(Msg)^,Length(Msg),haSHA1,False,Pointer(Sign)^,Length(Sign));
    Memo1.Lines.Add(OSToHex(Sign,True));
  finally
    DisposeDLPrivateKey(PrivKey);
  end;
end;

end.
